Page MenuHomePhabricator

[flang][fir][NFC] Move BoxProcType to TableGen type definition
ClosedPublic

Authored by clementval on Feb 11 2021, 8:07 AM.

Details

Summary

This patch is a follow up of D96422 and move BoxProcType to TableGen.

Diff Detail

Event Timeline

clementval requested review of this revision.Feb 11 2021, 8:07 AM
clementval created this revision.
Herald added a project: Restricted Project. · View Herald TranscriptFeb 11 2021, 8:07 AM
mehdi_amini accepted this revision.Feb 11 2021, 8:43 AM
mehdi_amini added inline comments.
flang/lib/Optimizer/Dialect/FIRType.cpp
1229

I didn't ask on the previous revision, but do we already have test coverage on all these? The refactoring could be an opportunity to check this if you can :)

This revision is now accepted and ready to land.Feb 11 2021, 8:43 AM
schweitz added inline comments.Feb 11 2021, 9:13 AM
flang/lib/Optimizer/Dialect/FIRType.cpp
1229

Still trying to get enough code upstreamed to add the tool to do that. Chicken-and-egg situation.

mehdi_amini added inline comments.Feb 11 2021, 11:47 AM
flang/lib/Optimizer/Dialect/FIRType.cpp
1229

I don't understand the chicken and egg?
Adding a fir-opt tool *first* seems trivial to me, let me send a patch.

clementval added inline comments.Feb 11 2021, 12:02 PM
flang/lib/Optimizer/Dialect/FIRType.cpp
1229

We have a fir-opt tool ready in fir-dev. I can send a patch. https://reviews.llvm.org/D96535

Keep fir_ prefix

schweitz accepted this revision.Feb 12 2021, 3:55 PM
This revision was landed with ongoing or failed builds.Feb 16 2021, 6:27 PM
This revision was automatically updated to reflect the committed changes.